# Uses of Interface
org.eclipse.birt.chart.model.layout.LayoutPackage

Packages that use LayoutPackage
Package
Description
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of LayoutPackage in org.eclipse.birt.chart.model.layout

Fields in org.eclipse.birt.chart.model.layout declared as LayoutPackage
Modifier and Type
Field
Description
`static final LayoutPackage`
LayoutPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model.layout that return LayoutPackage
Modifier and Type
Method
Description
`LayoutPackage`
LayoutFactory.`getLayoutPackage()`
Returns the package supported by this factory.

## Uses of LayoutPackage in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement LayoutPackage
Modifier and Type
Class
Description
`class`
`LayoutPackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.layout.impl that return LayoutPackage
Modifier and Type
Method
Description
`LayoutPackage`
LayoutFactoryImpl.`getLayoutPackage()`
`static LayoutPackage`
LayoutFactoryImpl.`getPackage()`
Deprecated.
`static LayoutPackage`
LayoutPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.